## cis-tools 0.1

=== Makefile ===
CFLAGS += -Wall -W
CPPFLAGS += -I.
YFLAGS = -d

SRCS  = dump_cis.c pack_cis.c
HDRS  = pack_cis.h
TOOLS = dump_cis pack_cis

all:	$(SRCS) $(HDRS) $(TOOLS)

dump_cis: dump_cis.o cistpl.o

yacc_cis.o: yacc_cis.c
	$(CC) -MD $(CFLAGS) $(CPPFLAGS) -c $<
	@mkdir -p .depfiles ; mv $*.d .depfiles

lex_cis.o: lex_cis.c yacc_cis.h
	$(CC) -MD $(CFLAGS) -Wno-unused-function $(CPPFLAGS) -c $<
	@mkdir -p .depfiles ; mv $*.d .depfiles

pack_cis: pack_cis.o lex_cis.o yacc_cis.o
	$(CC) $+ -o $@ -lm

parser: lex_cis.o yacc_cis.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -DDEBUG -o $@ $+

clean:
	rm -f core core.* *.o *.s *.a *~ .depend .depfiles/*.d
	rm -f $(TOOLS) lex_cis.c yacc_cis.c yacc_cis.h

install: $(TOOLS)
	@mkdir -p $(PREFIX)/sbin
	cp -f dump_cis pack_cis $(PREFIX)/sbin

%.c %.h : %.y
	$(YACC) $(YFLAGS) $<
	mv y.tab.c $*.c
	mv y.tab.h $*.h

%.s : %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -S $<

# Stuff to automatically maintain dependency files

%.o : %.c
	$(CC) -MD $(CFLAGS) $(CPPFLAGS) -c $<
	@mkdir -p .depfiles ; mv $*.d .depfiles

-include $(SRCS:%.c=.depfiles/%.d)

=== debian/changelog ===
cis-tools (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1072579)
  * Makefile: Use default rule to link pack_cis

 -- Ben Hutchings <benh@debian.org>  Sun, 18 May 2025 21:25:23 +0200

=== debian/control ===
Source: cis-tools
Section: devel
Priority: optional
Maintainer: Ben Hutchings <benh@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 bison,
 flex,
Standards-Version: 4.7.2
Homepage: https://git.kernel.org/pub/scm/utils/cis-tools/cis-tools.git
Vcs-Browser: https://salsa.debian.org/kernel-team/cis-tools
Vcs-Git: https://salsa.debian.org/kernel-team/cis-tools.git

Package: cis-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: PCMCIA CIS file tools
 This package provides the commands dump_cis and pack_cis, used to
 convert between PCMCIA CIS binaries and a textual representation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=debian/cis-tools/usr

=== debian/watch ===
version=4
opts="mode=git, gitmode=shallow, pgpmode=gittag" \
https://git.kernel.org/pub/scm/utils/cis-tools/cis-tools.git \
refs/tags/cis-tools-(.*) debian
